#!/bin/sh
#------------------------------------------------------------------------------
# part of the webconf-package for eisfair
# preinstall script
# $Id: preinstall.sh,v 1.4 2004/03/06 13:14:37 chriswue Exp $
# (c) 2002-2004 by Christian Wrdig (eisfair@chriswue.de)
#------------------------------------------------------------------------------

version=`cat /etc/version`
if [ "$version" = "1.0" ]; then
   colecho "The version of eisfair must be 1.0.4 or higher" br x br
   colecho "Please update your eisfair system first" br x br
   exit 1
fi

config="/etc/config.d/webconf"
passwd1="/var/config/www/.htpasswd"
passwd2="/var/config/www/cgi-bin/.htpasswd"

if [ -f $config ]; then
   /etc/init.d/webconf stop
   echo "saving old config to $config.old"
   cp $config $config.old
   cp $passwd1 $passwd1.old
   cp $passwd2 $passwd2.old
fi
