#!/usr/bin/perl -w
#-----------------------------------------------------
# manage_history.pl
# part of webconf-package for eisfair
# last modified: 2003/11/15
# (c) 2003 by Christian Wuerdig (eisfair@chriswue.de)
#-----------------------------------------------------

use strict;
use CGI::Carp qw(fatalsToBrowser);

our $history;

no strict "subs";
do "conf.pl";
use strict "subs";

my $idx = pop(@ARGV);
my $script = shift(@ARGV);

open(HIST, "<$history") || die("Could not open history, reason: $!\n");
my @hist = <HIST>;
close(HIST);

$idx = $#hist - $idx + 1;
while($idx--) { pop(@hist); }

open(HIST, ">$history") || die("Could not open history, reason: $!\n");
print HIST @hist;
close(HIST);

exec("/usr/bin/perl", "$script", @ARGV);
