#!/usr/bin/perl -w
#----------------------------------------------------------
# make_forms.pl
# part of webconf-package for EIS/FAIR
# last modified: 2003/04/14
# (c) 2002-2003 by Christian Wuerdig (eisfair@chriswue.de)
#----------------------------------------------------------

use strict;
use CGI::Carp qw(fatalsToBrowser);
use formtools;
use parse_form;
use print_form;

use renderer_html;
use render_config;

my $classname = "confform";
my $class = "class=\"$classname\"";

my $configfile = "$ARGV[0]";
my $formfile = $configfile;
my $helpfile = $configfile;
my $Help_Path = "/var/install/help";
my $helpfound = -f "$Help_Path/$helpfile" ? 1 : 0;

my %opt_hash = get_confvar($configfile);
my $err;
my $aref;

print_head_min("config-file formular", $class);

($err, $aref) = parse_confform($configfile, $formfile);

if ($err) { die "A fatal error occured while parsing the formfile! Exiting now."; }

# print_confform($aref, \%opt_hash, $configfile, $classname, $helpfound);
my $renderer = create_renderer_html($configfile, "confform");
render_config($renderer, $aref, \%opt_hash);

